Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 608040 (CVE-2017-5545, CVE-2017-5834, CVE-2017-5835, CVE-2017-5836)

Summary: <app-pda/libplist-2.0.0: multiple vulnerabilities
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: normal CC: candrews, kensington, maintainer-needed, proxy-maint, slawomir.nizio
Priority: Normal Flags: stable-bot: sanity-check+
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://www.openwall.com/lists/oss-security/2017/01/31/6
Whiteboard: B3 [noglsa cve]
Package list:
app-pda/libplist-2.0.0
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 605472, 618582, 618584, 618586, 618598, 618600    

Description Agostino Sarubbo gentoo-dev 2017-02-02 13:38:41 UTC
From ${URL} :

heap-buffer-overflow in parse_dict_node
https://github.com/libimobiledevice/libplist/issues/89

memory allocation error
https://github.com/libimobiledevice/libplist/issues/88

issue in plist_free_data plist.c:185
https://github.com/libimobiledevice/libplist/issues/86

heap-buffer-overflow
https://github.com/libimobiledevice/libplist/issues/87



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Thomas Deutschmann (RETIRED) gentoo-dev 2017-06-06 13:35:01 UTC
All reported vulnerabilities are fixed in v2.0.0 which is now available in the repository (https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b7d7cf44be09d4e31261c8adfdcced02a73d8585).

This package has currently no maintainer so we will wait until 2017-06-09 before starting stabilization.
Comment 2 Sławomir Nizio 2017-06-23 19:45:43 UTC
friendly reminder:

"This package has currently no maintainer so we will wait until 2017-06-09 before starting stabilization."
Comment 3 Kristian Fiskerstrand (RETIRED) gentoo-dev 2017-06-23 21:00:59 UTC
(In reply to Sławomir Nizio from comment #2)
> friendly reminder:
> 
> "This package has currently no maintainer so we will wait until 2017-06-09
> before starting stabilization."

no maintainer in this case should probably also consider lastriting, or one of the reverse dependencies should pick it up. In particular since it is likely difficult to test for non-specific use.

All of the reverse deps where its not a USE flag are also lacking maintainer, so in favor of removal, inter alia, app-pda/ideviceinstaller, app-pda/libimobiledevice, app-pda/ifuse, app-pda/libusbmuxd, media-libs/libgpod, app-pda/usbmuxd, media-libs/libgpod 

https://qa-reports.gentoo.org/output/genrdeps/rindex/app-pda/libplist

This seems like a candidate for lastriting (including all rdeps)
Comment 4 Michael Palimaka (kensington) gentoo-dev 2017-06-24 02:00:07 UTC
Until someone does the work to remove this package if necessary (considering there's revdeps of revdeps), let's just stabilise the new version so we can clean up old.
Comment 5 Agostino Sarubbo gentoo-dev 2017-06-25 16:33:02 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2017-06-30 11:10:28 UTC
x86 stable
Comment 7 Agostino Sarubbo gentoo-dev 2017-07-07 13:24:39 UTC
ppc stable.

Maintainer(s), please cleanup.
Security, please add it to the existing request, or file a new one.
Comment 8 Michael Palimaka (kensington) gentoo-dev 2017-07-08 02:33:15 UTC
Cleanup done.
Comment 9 Aaron Bauman (RETIRED) gentoo-dev 2017-07-15 21:53:01 UTC
Downgraded to B3.  No PoC for RCE/ACE which is also shown in the reported CVE's.

GLSA Vote: No